tourism_hub_region_selector_block:
  label: Region selector block
  namespace: Organisms/TM - Tourism hub
  use: '@organisms/tm-th/tourism-hub-region-selector-block.twig'
  description: Region selector block
  libraries:
    - tourism_hub_region_selector_block_lib:
        js:
          ../behaviors/tourism-hub.js: {}
        css:
          component:
            ../styles/tourism-hub.css: {}
  fields:
    region:
      type: text
      label: Region
      preview: in Aberdeen
    header:
      type: text
      label: Header
      preview: I'm looking for ideas in...
    bg_graphic:
      type: text
      label: Background image
      preview: <img class="th-regions-graphic" src="images/hand-holding-ticket-illu.svg">
    filters_tabcordion:
      type: object
      label: Filters accordion
      preview:
        pid: th-filter-accordion
        wrapper_class: acw-c
        child_link_class: aci-c-link
        child_content_class: aci-c-content
        toggle: chevron_close
        list_prefix: <h2 class='filter-header'>I'm looking for ideas </h2>
        style: separated
        absolute: true
        items:
          - pid: th-filter-accordion
            aiid: area
            label: in this area of Scotland
            content: <a href="?category=2" class="selected btn btn-custom-light px-3
              py-2 rounded-1 fw-bold m-0">Aberdeen</a><a href="?category=3" class="btn
              btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Argyll</a><a href="?category=4"
              class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Ayrshire</a><a
              href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
              m-0">Borders</a><a href="?category=6" class="btn btn-custom-light px-3
              py-2 rounded-1 fw-bold m-0">Dundee</a><a href="?category=6" class="btn
              btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Edinburgh & The Lothians</a><a
              href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
              m-0">Fife</a>
          - pid: th-filter-accordion
            aiid: category
            label: in this category of interest
            content: <a href="?category=2" class="selected btn btn-custom-light px-3
              py-2 rounded-1 fw-bold m-0">Aberdeen</a><a href="?category=3" class="btn
              btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Argyll</a><a href="?category=4"
              class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Ayrshire</a><a
              href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
              m-0">Borders</a><a href="?category=6" class="btn btn-custom-light px-3
              py-2 rounded-1 fw-bold m-0">Dundee</a><a href="?category=6" class="btn
              btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Edinburgh & The Lothians</a><a
              href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
              m-0">Fife</a><a href="?category=6" class="btn btn-custom-light px-3
              py-2 rounded-1 fw-bold m-0">Glasgow & The Clyde Valley</a><a href="?category=6"
              class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Loch Lomond
              & The Trossachs</a><a href="?category=6" class="btn btn-custom-light
              px-3 py-2 rounded-1 fw-bold m-0">Perthshire</a><a href="?category=6"
              class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold m-0">Stirling
              & Forth Valley</a><a href="?category=6" class="btn btn-custom-light
              px-3 py-2 rounded-1 fw-bold m-0">The Highlands</a>
    items:
      type: object
      label: Tags
      description: Tags
      preview:
        - <a href="?category=2" class="selected btn btn-custom-light px-3 py-2 rounded-1
          fw-bold m-0">Aberdeen</a>
        - <a href="?category=3" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Argyll</a>
        - <a href="?category=4" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Ayrshire</a>
        - <a href="?category=5" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Borders</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Dundee</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Edinburgh & The Lothians</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Fife</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Glasgow & The Clyde Valley</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Loch Lomond & The Trossachs</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Perthshire</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">Stirling & Forth Valley</a>
        - <a href="?category=6" class="btn btn-custom-light px-3 py-2 rounded-1 fw-bold
          m-0">The Highlands</a>
